extends SceneManager


func _on_coin_collected(collector: Node2D) -> void:
	_act_manager.switch_act_with_id(1)
	var l1_s1: ReedScene = ReedSceneRegistry.get_scene(9900001)
	if l1_s1:
		l1_s1.switch_act_by_id(2)


func _on_player_trigger_volumn_player_entered(body: CharacterBody2D) -> void:
	_act_manager.switch_act_with_id(2)


func _on_player_trigger_volumn_2_player_entered(body: CharacterBody2D) -> void:
	_act_manager.switch_act_with_id(3)
